{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a new project brief.\n\nReturns the full record of the newly created project brief.","properties":{"path":{"type":"object","properties":{"project_gid":{"type":"string","examples":["1331"],"description":"Globally unique identifier for the project."}},"required":["project_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["html_text","permalink_url","project","project.name","project.resource_subtype","text","title"]},"examples":[["html_text","permalink_url","project","project.name","project.resource_subtype","text","title"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/ProjectBriefRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"ProjectBriefRequest":{"allOf":[{"$ref":"#/definitions/ProjectBriefBase"},{"type":"object","properties":{"text":{"description":"The plain text of the project brief. When writing to a project brief, you can specify either `html_text` (preferred) or `text`, but not both.","type":"string","examples":["This is a project brief."]}}}]},"ProjectBriefBase":{"allOf":[{"$ref":"#/definitions/ProjectBriefCompact"},{"type":"object","properties":{"title":{"description":"The title of the project brief.","type":"string","examples":["Stuff to buy — Project Brief"]},"html_text":{"description":"HTML formatted text for the project brief. See [rich text](/docs/rich-text).","type":"string","examples":["<body>This is a <strong>project brief</strong>.</body>"]}}}]},"ProjectBriefCompact":{"description":"A *Project Brief* allows you to explain the what and why of the project to your team.","type":"object","properties":{}}}},"name":"Create a project brief","id":"asana.createprojectbrief","example":{"path":{"project_gid":"1331"},"body":{}},"maxRequests":1,"summary":false}}